#INCLUDE "..\..\VFPRes.h" && ZDE NUTNÉ

=MESSAGEBOX("This is library localized sources.")
RETURN

********************************************************************************
* tato procedura vyplní předaný objekt informacema o zdrojích
********************************************************************************
PROCEDURE FillObject(loObj)
* loObj - Objekt jehož vlastnosti se vyplní

* ukázkový kód:
loObj.StringTable="XXT000.DBF" && název tabulky stringů
loObj.MenuTable="XXT001.DBF" && název tabulky menu
loObj.DialogVCX="CVP.VCX" && název knihovny VCX
loObj.FontCharSet=0

* Poznámka:
* Pokud se nějaká vlastnost nenaplní, pak se nebude takový zdroj zavádět
RETURN

********************************************************************************
* tato procedura vyplní předaný objekt informacema o namapování popisů jazyků
********************************************************************************
PROCEDURE MapLanguage(loObj)
* loObj - Objekt jehož vlastnosti se vyplní

* nyní se naplní mapovaní popisů jazyka
loObj.iMapLanguage=5
DIME loObj.aMapLanguage(loObj.iMapLanguage,2)

loObj.aMapLanguage(1,1)="CZECH"
loObj.aMapLanguage(1,2)="Czech"
loObj.aMapLanguage(2,1)="SLOVAK"
loObj.aMapLanguage(2,2)="Slovak"
loObj.aMapLanguage(3,1)="ENGLISH"
loObj.aMapLanguage(3,2)="English"
loObj.aMapLanguage(4,1)="FRENCH"
loObj.aMapLanguage(4,2)="French"
loObj.aMapLanguage(5,1)="RUSSIAN"
loObj.aMapLanguage(5,2)="Russian"
RETURN

********************************************************************************
* Tato procedura vrací chybové hlášení (pokud selže zavedení) dle typu zdroje
********************************************************************************
PROCEDURE ReturnErrString(liTypeID,lcMsg)
* liTypeID - typ zdroje
*@lcMsg    - Sem se vrátí chybová hláška
lcMsg=IIF(liTypeID=Res_Type_Menu,"Don't load Table of Menu.",;
       IIF(liTypeID=Res_Type_String,"Don't load Table of String",;
       IIF(liTypeID=Res_Type_Dlg,"Don't load Visual library","Unknown resource")))
       

********************************************************************************
* tato procedura otevře tabulku v aplikaci
* !!!! NEMĚNIT !!!!
********************************************************************************
PROCEDURE OpenTable(lcCommand)
* lcCommand - kompletní příkaz pro otevření tabulky
&lcCommand.
RETURN




